html,body {
    padding: 0;
    margin: 0;
}
.liste_produits {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
main {
    min-height: calc(100vh - 260px);
    margin-top: 0;
    padding-top: 20px;    
}
.produit {
    background-color: rgb(239, 235, 230);
    width: 30%;
    margin-bottom: 40px;
    border-radius: 10px;
    box-shadow: 0 0 20px #818080;
    font-family: Arial, Helvetica, sans-serif;
}

@media (min-width: 768px) {
    .produit {
        width: 48%;
    }
}


.produit img {
    width: 35%;
    height: auto;
    float: left;
    border-radius: 10px 0 0 10px;
    padding-right: 15px;
}

.produit strong {
    display:block;
    padding-top: 15px;
}
.bouton {
    display: inline-block;
    padding: 5px;
    border: 1px solid #000;
    text-decoration: none;
    color: #000;
    background-color: #fff;
    border-radius: 5px;    
}
.bouton_mp {
    display: inline-block;
    padding: 5px;
    border: 1px solid #000;
    text-decoration: none;
    color: #000000;
    background-color: #cccccc;
    border-radius: 5px;
    position: absolute;
    left: 10px;
    top: 15px;
    font-size: 18px;
}
.bouton_pn {
    display: inline-block;
    padding: 5px;
    border: 1px solid #000;
    text-decoration: none;
    color: #000000;
    background-color: #cccccc;
    border-radius: 5px;
    position: absolute;
    right: 20px;
    top: 150px;
}
.bouton:hover {
    background-color: rgb(213, 213, 213);
}

.fiche_produit {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 30px;
}
.fiche_produit img {
    float: left;
    margin-right: 20px;
    width: 33%;
}
.fiche_produit strong {
    font-size: 40px;
}

body {
    padding: 40px
}
footer img {
    position:absolute;
    right: 10px;
    width: 80px;
    height: auto;
}
footer {
    padding: 10px;
    color: #000;
    position: relative;
    height: 100px;
}
h1 {
    padding-top: 35px;
    position: relative;
    text-align: center;
    margin-top: 0px;
}
h3 {
    padding-left: 10px;
}
header {
    background-color: rgb(187, 188, 188);
    position: relative;
    height: 120px;
    margin-top: -40px;
    margin-left: -40px;
    margin-right: -40px;    
}
footer {
    background-color: rgb(187, 187, 187);
    position: relative;
    height: 100px;
    padding: 10px;
    clear: left;
    margin-bottom: -40px;
    margin-left: -40px;
    margin-right: -40px;
}
.panier {
    width: 50%;
    border-collapse: collapse;
}
.mini_bouton {
    border: 1px solid #000;
    text-decoration: none;
    padding: 2px 5px;
}
.mini_bouton:hover {
    background-color: rgb(255, 163, 163);
}
.panier th {
    border: 1px solid #000;
    padding: 10px;
    background-color: #818080;
    color: #fff;
}
.btostart {
    padding: 0px;
}
.panier td {
    text-align:center ;
    border: 1px solid #000;
    padding: 10px;
}
.panier a {
    text-decoration: none;
}
.totaldup {
    font-size: 25px;
    font-family: Arial, Helvetica, sans-serif;
}
.bt_plus {
    text-decoration: none;
}
.bt_moins {
    text-decoration: none;
}
@media (max-width: 512px) {
    .produit {
        width: 100%;
    }
    .produit img {
        width: 100%;
        height: auto;
        float: none;
        margin-bottom: 15px;
    }
    .fiche_produit img {
        width: 100%;
        height: auto;
        float: none;
        margin-bottom: 20px;
    }
}
@media (max-width: 768px) {
    .produit {
        width: 100%;
    }
}
@media (max-width: 1046px) {
    .fiche_produit {
        width: 100%;
    }
}